Update Shipment
curl --request PATCH \
--url https://api.wizcommerce.com/v1/shipments/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Standard Delivery",
"shipment_items": [
{
"product_id": "SKU-001",
"quantity": 2
}
],
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"order_id": "ORD-2024-001",
"status": "active",
"shipment_status": "shipped",
"tracking_info": {
"tracking_number": "1Z999AA10123456784",
"tracking_url": "https://tracking.carrier.com/1Z999AA10123456784",
"delivery_partner": "FedEx"
},
"updated_at": "2024-03-10T14:30:00Z",
"remark": "Door to Door",
"note": "Handle with care",
"invoice_id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed"
}
'import requests
url = "https://api.wizcommerce.com/v1/shipments/{id}"
payload = {
"name": "Standard Delivery",
"shipment_items": [
{
"product_id": "SKU-001",
"quantity": 2
}
],
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"order_id": "ORD-2024-001",
"status": "active",
"shipment_status": "shipped",
"tracking_info": {
"tracking_number": "1Z999AA10123456784",
"tracking_url": "https://tracking.carrier.com/1Z999AA10123456784",
"delivery_partner": "FedEx"
},
"updated_at": "2024-03-10T14:30:00Z",
"remark": "Door to Door",
"note": "Handle with care",
"invoice_id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Standard Delivery',
shipment_items: [{product_id: 'SKU-001', quantity: 2}],
id: '01f5d171-d3e3-4b2b-bd57-0727194b5bed',
order_id: 'ORD-2024-001',
status: 'active',
shipment_status: 'shipped',
tracking_info: {
tracking_number: '1Z999AA10123456784',
tracking_url: 'https://tracking.carrier.com/1Z999AA10123456784',
delivery_partner: 'FedEx'
},
updated_at: '2024-03-10T14:30:00Z',
remark: 'Door to Door',
note: 'Handle with care',
invoice_id: '01f5d171-d3e3-4b2b-bd57-0727194b5bed'
})
};
fetch('https://api.wizcommerce.com/v1/shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"shipment_items": [
{
"id": "123",
"sku_id": "123",
"quantity": 10
}
],
"reference_id": "123",
"order_id": "123",
"invoice_id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"tracking_info": {
"tracking_number": "123",
"tracking_url": "https://www.google.com",
"delivery_partner": "Fedex"
},
"status": "shipped",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"note": "Handle with care"
}
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Shipments
Update Shipment
Update Shipment
PATCH
/
v1
/
shipments
/
{id}
Update Shipment
The
PATCH request is used to partially update an existing entity by the
given id. This means:- Only the fields provided in the request body will be updated.
- Fields not provided in the request body will remain unchanged.
- The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.
Authorizations
API Key for authentication
Path Parameters
Shipment ID
Body
application/json
Shipment
Maximum string length:
255Example:
"Standard Delivery"
If the key is passed as [], the items will be removed.
Show child attributes
Show child attributes
Maximum string length:
255Example:
"01f5d171-d3e3-4b2b-bd57-0727194b5bed"
Maximum string length:
255Example:
"ORD-2024-001"
Available options:
active, inactive Example:
"active"
Available options:
shipped, created Example:
"shipped"
Show child attributes
Show child attributes
Example:
"2024-03-10T14:30:00Z"
Maximum string length:
255Example:
"Door to Door"
Example:
"Handle with care"
Optional link to an invoice
Example:
"01f5d171-d3e3-4b2b-bd57-0727194b5bed"
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
